﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Data;

using System.Web.Script.Services;
using System.Data.OleDb;

/// <summary>
/// Summary description for GetProductNames
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
[System.Web.Script.Services.ScriptService]
public class GetDetails : System.Web.Services.WebService
{

    public GetDetails()
    {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
    public object GetProducts()
    {
        //retrieve the data
        DataTable ds = new DataTable();
        string queryProduct = "SELECT * FROM [Products] ";
        string strConn = System.Configuration.ConfigurationManager.ConnectionStrings["AccessDB"].ConnectionString;
        OleDbDataAdapter da = new OleDbDataAdapter(queryProduct, strConn);
        DataTable dt = new DataTable();
        da.Fill(dt);

        //create list of CityNames
        List<Product> products = new List<Product>();
        for (int i = 0; i < dt.Rows.Count; i++)
        {
            //set the values
            Product cn = new Product();
            cn.ProductID = (int)dt.Rows[i]["ProductID"];
            cn.ProductName = dt.Rows[i]["ProductName"].ToString();
            cn.UnitPrice = (decimal)dt.Rows[i]["UnitPrice"];
            products.Add(cn);
        }
        return products;
    }

    [WebMethod]
    [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
    public void SaveNewProduct(Product newProduct)
    {
        OleDbConnection myCon = new OleDbConnection(System.Configuration.ConfigurationManager.ConnectionStrings["AccessDB"].ConnectionString);

        string queryProduct = "Insert into [Products](ProductID,ProductName,UnitPrice) Values (" + newProduct.ProductID + ",'" + newProduct.ProductName + "'," + newProduct.UnitPrice + ")";

        OleDbCommand da = new OleDbCommand(queryProduct, myCon);
        myCon.Open();
        da.ExecuteNonQuery();
        myCon.Close();
    }

    [WebMethod]
    [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
    public void SaveProduct(Product product)
    {
        OleDbConnection myCon = new OleDbConnection(System.Configuration.ConfigurationManager.ConnectionStrings["AccessDB"].ConnectionString);

        string queryProduct = "Update [Products] Set ProductName='" + product.ProductName + "', UnitPrice=" + product.UnitPrice + " where ProductID=" + product.ProductID + "";

        OleDbCommand da = new OleDbCommand(queryProduct, myCon);
        myCon.Open();
        da.ExecuteNonQuery();
        myCon.Close();
    }

    [WebMethod]
    [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
    public void DeleteProduct(Product product)
    {
        OleDbConnection myCon = new OleDbConnection(System.Configuration.ConfigurationManager.ConnectionStrings["AccessDB"].ConnectionString);

        string queryProduct = "Delete from [Products] where ProductID=" + product.ProductID + "";

        OleDbCommand da = new OleDbCommand(queryProduct, myCon);
        myCon.Open();
        da.ExecuteNonQuery();
        myCon.Close();
    }

}

public class Product
{

    public int ProductID
    {
        get;
        set;
    }

    public string ProductName
    {
        get;
        set;
    }

    public decimal UnitPrice
    {
        get;
        set;
    }



}


